package tutorialJava.capitulo2_condicionales.ejercicios.bloque02;

import java.util.Scanner;

public class Ej02_Contador4Categorias {

	public static void main(String[] args) {
		int contNegativos = 0, contBajos = 0, contMedios = 0, 
				contAltos = 0, num;
		Scanner sc = new Scanner(System.in);
		
		System.out.println("Dame un número: ");
		num = sc.nextInt();
		
		if (num < 0) {
//			contNegativos += 1;
			contNegativos++;
		}
		else { 
			if (num >= 0 && num <= 25) {
				contBajos++;
			}
			else {
				if (num > 25 && num <= 250) {
					contMedios++;
				}
				else {
					if (num > 250) {
						contAltos++;
					}
				}
			}
		}
			
		System.out.println("Dame un número: ");
		num = sc.nextInt();
		if (num < 0) contNegativos++;
		else if (num <= 25) contBajos++;
		else if (num <= 250) contMedios++;
		else contAltos++;

		System.out.println("Dame un número: ");
		num = sc.nextInt();
		if (num < 0) contNegativos++;
		else if (num <= 25) contBajos++;
		else if (num <= 250) contMedios++;
		else contAltos++;

		System.out.println("Dame un número: ");
		num = sc.nextInt();
		if (num < 0) contNegativos++;
		else if (num <= 25) contBajos++;
		else if (num <= 250) contMedios++;
		else contAltos++;

		System.out.println("Dame un número: ");
		num = sc.nextInt();
		if (num < 0) contNegativos++;
		else if (num <= 25) contBajos++;
		else if (num <= 250) contMedios++;
		else contAltos++;

		System.out.println("Negativos: " + contNegativos + 
				" Bajos: " + contBajos + 
				" Medios: " + contMedios +
				" Altos: " + contAltos);
	}

}






